//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Program        : JFrame Demo
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   A simple program that illustrates how to use javax.swing.JFrame.
// The console controls this window appearing and disappearing. The
// JFrame's size is always at 1/2 the width/height of the screen. Its
// header includes an icon and title (which changes slightly, via
// a counter/location, each time the window appears). The window's
// location changes each time it disappears. When the window is closed,
// the entire program terminates (including the loop in main).
//
// Things to try:
//    use a different gif for the header
//    don't add the window listener
//    ensure when window is moved randomly, it is always fully on the screen
//       (use the Toolkit to account for its width/height when randomizing)
//    override other methods in the WindowAdapter
// 
// 
// 
// Known Bugs     : None
//
// Future Plans   : None
//
// Program History:
//    11/21/04: R. Pattis - Operational for 15-200
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package basicJFrame;


import edu.cmu.cs.pattis.cs151xx.Prompt;


public class Application
{
   public static void main(String[] args)
   {
     View view = new View();
     view.build("View Test",
                "images"+System.getProperty("file.separator")+"hotdog.gif");
     
     for(;;) {
       Prompt.forString("Press enter to show view");
       view.setVisible(true);  
       Prompt.forString("Press enter to hide view");
       view.setVisible(false);  
     } 
   }

}
