//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Program        : JPanel Figure Demo
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   A simple program that illustrates how to use javax.swing.JPanel
// for drawing figures. I've simplified the JFrame to the bare minimum.
//
// Things to try:
//   Draw different figures    
//
// 
// 
// 
// Known Bugs     : None
//
// Future Plans   : None
//
// Program History:
//    11/21/04: R. Pattis - Operational for 15-200
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package figureJPanel;


import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;


class DrawPanel extends JPanel {

  private Color background, foreground;
  private int   paintCount;
  
  public DrawPanel (Color background, Color foreground)
  {
    this.background = background;
    this.foreground = foreground;
  }
  
  public void paintComponent (Graphics g)
  {
    System.out.println("paintCount("+ ++paintCount +")");
    super.paintComponent(g);
    
    setBackground(background);
    g.setColor(foreground);
    
    //Non-filled and filled shapes
    g.drawRect(10, 10,50,30);
    g.fillOval(10,100,50,30);
    
    //Polygon, filled
    g.setColor(Color.green);
    g.fillPolygon(new int[]{ 10, 50, 80,120, 80, 20},
                  new int[]{200,150,170,200,270,250},6); 
    
    //Hollow-out a shape by using background
    g.setColor(Color.yellow);
    g.fillRect  (10,300,50,50);
    g.setColor(background);
    g.fillOval(12,302,46,46); 
  }

}
